Bug 5984 - Can't unsubscribe from Notification Mailing List
Can't unsubscribe from Notification Mailing List
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3.x
PC Mac OS X 10.6
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-27 20:30 PDT by James MacGregor
Modified: 2011-08-12 14:05 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against PKP pre-release (1.73 KB, patch)
2010-09-29 14:23 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-09-27 20:30:44 PDT
I signed up to the OJS mailing list with two different email addresses. When I try to unsubscribe using the information supplied from the *second* sign-up process, I get the following message: 

There was an error unsubscribing you. Please ensure your email address and password are correct.

I've ensured that both are correct, according to the subscription notification email I received. However, I *am* able to unsubscribe my first sign-up attempt using the information from that first notification email, and then subsequently unsubscribe my second attempt. 

I know it's probably not a normal situation for folks to sign up twice, but it's probably worth investigating as it may occasionally happen by mistake.
Comment 1 Alec Smecher 2010-09-29 14:23:36 PDT
Created attachment 3270 [details]
Patch against PKP pre-release
Comment 2 Alec Smecher 2011-08-12 14:05:02 PDT
Fixed mailing list subsc / unsubsc bugs
https://github.com/pkp/pkp-lib/commit/ce4f83a1c4b53c0f3c45bc45943782843de9a8ef